Bug 206750 - databases/postgresql95-client: pg_rewind not installed
Summary: databases/postgresql95-client: pg_rewind not installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-29 23:32 UTC by Nat Howard
Modified: 2016-02-07 21:10 UTC (History)
0 users

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nat Howard 2016-01-29 23:32:42 UTC
pg_rewind isn't installed -- apparently an oversight.

These patches do the trick.


diff -c -r postgresql95-client/Makefile /usr/ports/databases/postgresql95-client/Makefile
*** postgresql95-client/Makefile    Wed Jan 13 10:36:22 2016
--- /usr/ports/databases/postgresql95-client/Makefile    Fri Jan 29 22:58:13 2016
***************
*** 9,15 ****
 
  BUILD_DIRS=    config src/include src/interfaces src/port \
          src/bin/pg_dump src/bin/psql src/bin/scripts src/bin/pg_config \
!         src/bin/pgbench doc src/makefiles
  INSTALL_DIRS=    ${BUILD_DIRS}
 
  CLIENT_ONLY=    yes
--- 9,15 ----
 
  BUILD_DIRS=    config src/include src/interfaces src/port \
          src/bin/pg_dump src/bin/psql src/bin/scripts src/bin/pg_config \
!         src/bin/pgbench src/bin/pg_rewind doc src/makefiles
  INSTALL_DIRS=    ${BUILD_DIRS}
 
  CLIENT_ONLY=    yes
Only in postgresql95-client: work
dev01.db (master)% diff -c  -r postgresql95-server  /usr/ports/databases/postgresql95-server
diff -c -r postgresql95-server/pkg-plist-client /usr/ports/databases/postgresql95-server/pkg-plist-client
*** postgresql95-server/pkg-plist-client    Wed Jan 13 10:36:22 2016
--- /usr/ports/databases/postgresql95-server/pkg-plist-client    Fri Jan 29 22:59:16 2016
***************
*** 11,16 ****
--- 11,17 ----
  bin/pg_dumpall
  bin/pg_isready
  bin/pg_restore
+ bin/pg_rewind
  bin/pgbench
  bin/psql
  bin/reindexdb
Comment 1 commit-hook freebsd_committer 2016-01-30 10:41:20 UTC
A commit references this bug:

Author: girgen
Date: Sat Jan 30 10:40:34 UTC 2016
New revision: 407518
URL: https://svnweb.freebsd.org/changeset/ports/407518

Log:
  Add missing pg_rewind

  Pointed out by:	Nat Howard
  PR:		206750

Changes:
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql95-server/pkg-plist-server
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-30 10:44:38 UTC
Assign to Committer that resolved in HEAD.

This is solidly worth an MFH imo
Comment 3 Palle Girgensohn freebsd_committer 2016-02-07 21:10:52 UTC
no MFH since pg95 is not in 2016Q1 branch at all. :(